globus_gsi_authz_callout_error.h(3)

NAME
globus_gsi_authz_callout_error.h - GSI Authorization Callout Error API.

SYNOPSIS

#include 'globus_common.h'

  Macros

#define GLOBUS_GSI_AUTHZ_CALLOUT_ERROR_MODULE (&globus_gsi_authz_callout_error_module)
Module descriptor.
#define GLOBUS_GSI_AUTHZ_CALLOUT_ERROR(__RESULT, __TYPE, __ERRSTR)
Create an authorization callout error object.
#define GLOBUS_GSI_AUTHZ_CALLOUT_ERRNO_ERROR(__RESULT, __ERRNO)
Create an authorization callout error object with an errno.

  Enumerations

enum globus_gsi_authz_callout_error_t { GLOBUS_GSI_AUTHZ_CALLOUT_AUTHZ_CALLOUT_ERROR = 0, GLOBUS_GSI_AUTHZ_CALLOUT_AUTHZ_DENIED_BY_CALLOUT = 1, GLOBUS_GSI_AUTHZ_CALLOUT_CONFIGURATION_ERROR = 2, GLOBUS_GSI_AUTHZ_CALLOUT_SYSTEM_ERROR = 3, GLOBUS_GSI_AUTHZ_CALLOUT_CREDENTIAL_ERROR = 4, GLOBUS_GSI_AUTHZ_CALLOUT_BAD_ARGUMENT_ERROR = 5, GLOBUS_GSI_AUTHZ_CALLOUT_ERROR_LAST = 6 }
Error codes.

Detailed Description

GSI Authorization Callout Error API.

Author

Generated automatically by Doxygen for globus_authz_callout_error from the source code.